Bug 436174 - nfslock failing
nfslock failing
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 14:15 EST by Mike McGrath
Modified: 2014-01-21 18:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-18 10:56:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2008-03-05 14:15:44 EST
Description of problem:
nfslock seems to be freezing and causing locking to fail.  It can't be restarted
and seems to be holding the port open.  Only a reboot of the machine has seemed
to fix it.

Steps to reproduce:
We've not been able to force this to happen, it seems to happen between 1 and 3
times a week.
Comment 1 Mike McGrath 2008-03-22 08:48:53 EDT
ping?
Comment 2 Steve Dickson 2008-03-24 07:34:51 EDT
The next time the hang happens, please get a system backtrack
by doing a "echo t > /proc/sysrq-trigger" and then doing
a "dmesg > /tmp/dmesg". That will at least give me a starting
point...

Comment 3 RHEL Product and Program Management 2008-06-02 16:15:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Steve Dickson 2008-09-18 10:07:12 EDT
Mike,

This problem has basically gone way after a ext3 problem was fixed, true?
Comment 5 Mike McGrath 2008-09-18 10:28:37 EDT
I think so, I've seen it maybe once or twice since then.  But its not happening many times a week as it was.  I'd say go ahead and close the ticket (especially if no one else is seeing the problem)  And if something creeps up again I'll re-open it or open a new one.

Note You need to log in before you can comment on or make changes to this bug.